import { Table } from './Table';
import { Pool } from 'mysql2/promise';
export interface PoolOption {
    limit: number;
    host: string;
    port: number;
    user: string;
    password: string;
    charset: string;
    database: string;
    debug: boolean;
}
export declare class MySQL {
    pool: Pool;
    debug: boolean;
    private static instances;
    private constructor();
    static getInstance(option?: Partial<PoolOption>): MySQL;
    table(name: string): Table;
}
