import type { Context } from 'koa';
export interface JSONData {
    code: number;
    data: any;
    message: string;
}
export declare class Controller {
    protected context: Context;
    protected constructor(context: Context);
    protected json(data?: any, code?: number, message?: string): void;
    protected get(name?: string, value?: string): any;
    protected post(name?: string, value?: any): any;
    protected param(name?: string, value?: any): any;
    protected method(): string;
}
