export type ValueHolders = {
    prepare: string;
    holders: Array<string | number>;
};
export declare class SQLParser {
    createOrder(order?: Record<string, Uppercase<'ASC' | 'DESC'>> | null): string;
    createFilter(key: string, value: any): ValueHolders;
    createDataFilter(key: string, value: any): ValueHolders;
    createWhere(where?: Record<string, any> | null): ValueHolders;
}
